Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::AudioOptions Struct Reference

`#include <audio_options_i.h>`

## Public Member Functions
| AudioOptions ()=default
| ~AudioOptions ()=default
void | SetAecAll (const AudioOptions &change)
void | SetApmAll (const AudioOptions &change)
void | SetAll (const AudioOptions &change)
bool | operator== (const AudioOptions &o) const
AudioOptions & | Filter ()
bool | operator!= (const AudioOptions &o) const

## Public Attributes
Optional< uint32_t > | audio_scenario
Optional< uint32_t > | audio_routing
Optional< int32_t > | input_audio_routing
Optional< uint32_t > | adm_android_mode
Optional< bool > | adm_enable_estimated_device_delay
Optional< uint32_t > | audio_channel_profile
Optional< int32_t > | audio_routing_version
Optional< bool > | adm_estimate_device_loopback_delay_with_aec
Optional< bool > | adm_enable_lowlatency_capture
Optional< bool > | adm_enable_lowlatency_playout
Optional< int32_t > | adm_capture_io_buffer_ms
Optional< int32_t > | adm_force_layer
Optional< bool > | adm_duck_others
Optional< bool > | adm_mix_with_others
Optional< bool > | adm_restart_when_interrupted
Optional< bool > | adm_enable_fallback
Optional< int > | adm_specify_category
Optional< bool > | adm_record_audio_session_call_stack
Optional< bool > | adm_allow_haptics_during_record
Optional< bool > | has_remote_peers
Optional< bool > | has_enabled_ear_monitor
Optional< uint32_t > | adm_input_sample_rate
Optional< uint32_t > | adm_output_sample_rate
Optional< bool > | adm_enable_exclusive_mode
Optional< uint32_t > | adm_input_channels
Optional< uint32_t > | adm_output_channels
Optional< bool > | adm_has_recorded
Optional< bool > | external_adm_has_recorded
Optional< bool > | adm_enable_mic_selection
Optional< bool > | adm_force_use_bluetooth_a2dp
Optional< bool > | adm_use_bluetooth_hfp
Optional< bool > | adm_use_hw_aec
Optional< bool > | adm_force_restart
Optional< int > | adm_microphone_preference
Optional< int > | adm_speaker_balance
Optional< uint32_t > | adm_audio_layer
Optional< bool > | adm_bypass_sys_ctl
Optional< uint32_t > | adm_audio_source
Optional< uint32_t > | adm_playout_bufsize_factor
Optional< bool > | adm_enable_builtin3a
Optional< bool > | uplink_apm_async_process
Optional< bool > | uplink_acm_async_process
Optional< bool > | only_report_microphone_volume
Optional< uint32_t > | stereo_playout_mixed_mode
Optional< bool > | enable_multi_channel_render
Optional< bool > | enable_concurrent_downlink_processing
Optional< bool > | mute_playout_signal
Optional< bool > | onmix_callback_with_external_source
Optional< bool > | enable_receiver_apm
Optional< bool > | downlink_peq_enable
Optional< bool > | uplink_peq_enable
Optional< bool > | uplink_voice_over_enable
Optional< bool > | downlink_voice_over_enable
Optional< int > | adm_extra_playout_latency
Optional< int > | adm_extra_record_latency
Optional< int > | adm_opensl_output_bufs
Optional< int > | adm_opensl_input_bufs
Optional< bool > | adm_bypass_vpio_processing
Optional< bool > | adm_enable_async_process
Optional< bool > | adm_ducking_option_advanced
Optional< int > | adm_ducking_option_level
Optional< int > | adm_ears_monitor_channels
Optional< int > | apm_process_channels
Optional< bool > | apm_bypass_apm
Optional< int > | apm_splitband_algroute
Optional< bool > | apm_print_config_detail
Optional< bool > | apm_enable_aec
Optional< bool > | apm_enable_aec_external
Optional< int > | apm_aiaec_main_switch
Optional< int > | apm_aec_nlp_plan
Optional< bool > | apm_aec_saturated
Optional< int > | apm_aec_nlp_size
Optional< int > | apm_aec_nlp_hop_size
Optional< int > | apm_aec_delay_search_range_ms
Optional< int > | apm_aec_delay_search_method
Optional< int > | apm_aec_fixed_delay
Optional< int > | apm_aec_extra_delay_bias
Optional< int > | adm_ext_recording_source_delay_ms
Optional< int > | apm_aec_ainlp_profile_method
Optional< int > | apm_aec_ainlp_reset_period
Optional< int > | apm_aec_ainlp_reset_ratio
Optional< int > | apm_aec_ainlp_fallback_period
Optional< int > | apm_aec_ainlp_postprocessing_method
Optional< int > | apm_aec_linear_filter_type
Optional< bool > | apm_enable_ns
Optional< int > | apm_ains_mode
Optional< bool > | apm_enable_agc
Optional< bool > | apm_enable_md
Optional< int > | apm_aimd_value
Optional< bool > | apm_enable_highpass_filter
Optional< bool > | apm_enable_tone_remover
Optional< bool > | apm_enable_pitch_smoother
Optional< bool > | apm_enable_howling_control
Optional< uint32_t > | apm_delay_offset_ms
Optional< int32_t > | apm_aec_nlp_aggressiveness
Optional< int32_t > | apm_aec_specify_suppression_step
Optional< int32_t > | apm_aec_complexity
Optional< int32_t > | apm_aec_sw_processing_mode
Optional< int32_t > | apm_aec_linear_filter_length_ms
Optional< int32_t > | apm_aec_split_srate_for_32k
Optional< int32_t > | apm_aec_split_srate_for_48k
Optional< uint32_t > | apm_agc_target_level_dbfs
Optional< uint32_t > | apm_agc_compression_gain_db
Optional< uint32_t > | apm_agc_curve_slope
Optional< uint32_t > | apm_agc_mode
Optional< uint32_t > | apm_agc_bg_opt_mode
Optional< bool > | apm_aec_nlp_enable
Optional< bool > | apm_aec_alignRefDelay
Optional< uint32_t > | apm_aec_startup_suppress_time
Optional< int > | apm_aed_enable
Optional< bool > | apm_sf_enabled
Optional< int > | apm_sf_procIONSample
Optional< int > | apm_sf_delayMode
Optional< int > | apm_sf_stftType
Optional< int > | apm_sf_procChainMode
Optional< int > | apm_sf_nlpEnable
Optional< int > | apm_sf_nsEnable
Optional< int > | apm_sf_biquadEnable
Optional< int > | apm_sf_ainlpToLoadFlag
Optional< int > | apm_sf_ainlpMonitorLen
Optional< int > | apm_sf_ainsToLoadFlag
Optional< int > | apm_sf_ainsMonitorLen
Optional< int > | apm_sf_ainsLowLatencyFlag
Optional< int > | apm_sf_nlpAlgRoute
Optional< int > | apm_sf_nsngAlgRoute
Optional< int > | apm_sf_nlpFrmRemoveEngRatioThr
Optional< int > | apm_sf_trdNlpFrmRmvEngRatioThr
Optional< int > | apm_sf_nlpHbandAgg
Optional< int > | apm_sf_ainsKillHEBandFlag
Optional< int > | apm_sf_ainlpLowLatencyFlag
Optional< int > | apm_sf_fallBackThrRatio
Optional< int > | apm_sf_fallBackRefMode
Optional< int > | apm_sf_fallBackPref
Optional< int > | apm_sf_nlpNoiseAddThr
Optional< int > | apm_sf_nlpNoiseAddGain
Optional< int > | apm_sf_nlpAggressiveness
Optional< int > | apm_sf_nlpHeadsetAgg
Optional< int > | apm_sf_nlpSpkrAgg
Optional< int > | apm_sf_nlpDynamicMode
Optional< int > | apm_sf_ainlpHotResetFrq
Optional< int > | apm_sf_ainlpHotResetFactor
Optional< int > | apm_sf_ainlpMonitorQuantile
Optional< int > | apm_sf_nsngPredefAgg
Optional< int > | apm_sf_nsngMusicProbThr
Optional< int > | apm_sf_nsngMusicModeBackoffDB
Optional< int > | apm_sf_statNsMusicModeBackoffDB
Optional< int > | apm_sf_statNsFastNsSpeechTrigThreshold
Optional< int > | apm_sf_ainsSpeechProtectThreshold
Optional< int > | apm_aed_useCVerLib
Optional< int > | apm_aed_HotResetFrq
Optional< int > | apm_aed_musicThr
Optional< int > | apm_aed_voiceThr
Optional< int > | apm_aed_statQuantile
Optional< int > | apm_sf_statNsEnhFactor
Optional< int > | apm_sf_statNsNoiseOverEst
Optional< int > | apm_sf_statNsOverDrive
Optional< int > | apm_sf_statNsLowerBound
Optional< int > | apm_sf_statNsSpchUpdateRadix
Optional< int > | apm_sf_statNsNoiseUpdateRadix
Optional< int > | apm_sf_statNsEndStartupShort
Optional< int > | apm_sf_statNsEndStartupLong
Optional< int > | apm_sf_statNsNoiseUpdateQuantile
Optional< int > | apm_sf_nsngMapInMaskMin
Optional< int > | apm_sf_nsngMapOutMaskMin
Optional< int > | apm_sf_nsngFinalMaskLowerBound
Optional< int > | apm_sf_nsngPfMargin
Optional< int > | apm_sf_ainsHotResetFrq
Optional< int > | apm_sf_ainsMonitorQuantile
Optional< int > | apm_sf_nsngAuxToolsMode
Optional< int > | apm_sf_nlpProcBand
Optional< int > | apm_sf_nsProcBand
Optional< int > | apm_sf_ainsModelPref
Optional< int > | apm_sf_ainlpModelPref
Optional< int > | apm_vsc_enabled
Optional< int > | apm_vsc_gender
Optional< int > | apm_vsc_effect
Optional< int > | apm_vsc_selfConfig
Optional< int > | apm_vsc_preset
Optional< int > | apm_vsc_gain
Optional< uint32_t > | apm_ns_enable_ns_follow_agc
Optional< int32_t > | apm_ns_level
Optional< uint32_t > | apm_ns_noiseGateThres
Optional< int32_t > | apm_ns_complexity
Optional< int32_t > | apm_ans_aggressive
Optional< int32_t > | apm_ans_musicModeBackoffDB
Optional< int32_t > | apm_ans_musicModeSmC
Optional< bool > | apm_enable_record_boost
Optional< int32_t > | apm_farend_gain_threshold
Optional< int32_t > | adm_win_recording_device_buffer_ms
Optional< bool > | adm_windows_layer_with_waveapi
Optional< bool > | adm_windows_bypass_system_render_apo
Optional< bool > | adm_windows_enable_microphone_boost
Optional< bool > | adm_aggregate_playout_device_volume_control
Optional< bool > | adm_microphone_volume_init_state
Optional< bool > | adm_mac_use_audio_unit_hal
Optional< bool > | adm_mac_allow_virtual_recording_device
Optional< bool > | adm_mac_allow_virtual_playout_device
Optional< uint32_t > | apm_farend_gain
Optional< uint32_t > | acm_bitrate
Optional< uint32_t > | acm_codec
Optional< bool > | acm_dtx
Optional< bool > | acm_plc
Optional< uint32_t > | acm_complex_level
Optional< uint32_t > | acm_ptime
Optional< bool > | acm_hw_encode_opus
Optional< bool > | acm_hw_decode_opus
Optional< bool > | acm_opus_celt_only
Optional< int32_t > | acm_opus_max_encoded_bytes
Optional< bool > | acm_opus_enable_volume_based_bitrate_reduction
Optional< int32_t > | acm_opus_voice_threshold
Optional< int32_t > | acm_opus_voice_up_coef
Optional< int32_t > | acm_opus_voice_down_coef
Optional< int32_t > | acm_opus_voice_hold_window_ms
Optional< int32_t > | acm_opus_silence_bitrate
Optional< bool > | audio_resend
Optional< bool > | enable_adaptable_fix_rsfec
Optional< uint32_t > | audio_rsfec_frame_num
Optional< uint32_t > | audio_rsfec_interleave_num
Optional< uint32_t > | audio_fec_frame_num
Optional< uint32_t > | audio_fec_interleave_num
Optional< uint32_t > | neteq_live_min_delay
Optional< uint32_t > | neteq_jitter_buffer_max_packets
Optional< bool > | neteq_jitter_buffer_fast_accelerate
Optional< int32_t > | neteq_jitter_max_target_delay
Optional< int32_t > | neteq_filter_target_loss
Optional< int32_t > | neteq_max_filter_window
Optional< int32_t > | neteq_acceleration_percent
Optional< int32_t > | neteq_deceleration_percent
Optional< int32_t > | neteq_scretch_threshold_percent
Optional< int32_t > | neteq_unvoice_accelerate_percent
Optional< int32_t > | neteq_max_wait_ms
Optional< int32_t > | neteq_max_wait_first_decode_ms
Optional< bool > | neteq_enable_time_stretching
Optional< bool > | neteq_enable_expired_peak_detector
Optional< bool > | neteq_enable_peak_detector
Optional< bool > | neteq_enable_muted_state
Optional< int32_t > | neteq_max_exceed_time_ms
Optional< uint32_t > | neteq_max_filter_dup_num
Optional< bool > | neteq_enable_voice_volume_level
Optional< bool > | neteq_enable_individuality_delay
Optional< bool > | neteq_enable_improve_burst
Optional< int32_t > | neteq_max_mute_duration_ms
Optional< int32_t > | neteq_low_latency_burst_control_window_ms
Optional< int32_t > | neteq_low_latency_burst_control_platform_ms
Optional< int32_t > | neteq_low_latency_burst_peak_num_threshold
Optional< int32_t > | neteq_low_latency_burst_trend_threshold
Optional< int32_t > | neteq_low_latency_burst_peak_trend_increased_threshold
Optional< int32_t > | neteq_low_latency_burst_overuse_limited_quantile
Optional< int32_t > | neteq_low_latency_burst_comb_window_second
Optional< int32_t > | neteq_low_latency_burst_max_jitter_limit_ms
Optional< int32_t > | neteq_high_latency_burst_control_window_ms
Optional< int32_t > | neteq_high_latency_burst_control_platform_ms
Optional< int32_t > | neteq_high_latency_burst_peak_num_threshold
Optional< int32_t > | neteq_high_latency_burst_trend_threshold
Optional< int32_t > | neteq_high_latency_burst_peak_trend_increased_threshold
Optional< int32_t > | neteq_high_latency_burst_overuse_limited_quantile
Optional< int32_t > | neteq_high_latency_burst_comb_window_second
Optional< int32_t > | neteq_high_latency_burst_max_jitter_limit_ms
Optional< bool > | neteq_multichannel_plc
Optional< int32_t > | neteq_freeze_m
Optional< int32_t > | neteq_freeze_n
Optional< int32_t > | neteq_targetlevel_offset
Optional< bool > | neteq_enable_stable_playout
Optional< int32_t > | neteq_drop_window_threshold_ms
Optional< int32_t > | neteq_drop_distance_threshold_ms
Optional< int32_t > | neteq_prebuffer_window_threshold_ms
Optional< int32_t > | neteq_prebuffer_distance_threshold_ms
Optional< int32_t > | neteq_max_packets_stable_playout
Optional< int32_t > | neteq_normal_recv_rate_ratio_threshold
Optional< bool > | neteq_enable_buffer_burst_accelerate
Optional< int32_t > | neteq_audio_accelerate_low_threshold
Optional< bool > | neteq_enable_external_jitter_burst_accelerate
Optional< bool > | neteq_target_level_optimization
Optional< uint32_t > | neteq_aqm_voice_threshold
Optional< uint32_t > | neteq_dump_level
Optional< std::string > | neteq_dump_path
Optional< int > | neteq_limit_prob
Optional< int > | neteq_pre_dump
Optional< int > | neteq_packet_dump_score_threshold
Optional< int > | neteq_lower_limit_probability
Optional< int > | neteq_plc_mode
Optional< int > | neteq_outlier_detector
Optional< int32_t > | enable_pts_estimate_pass_through
Optional< uint32_t > | dwlink_gain
Optional< uint32_t > | uplink_gain
Optional< bool > | adm_separate_audio_unit
Optional< bool > | derived_headset_black_list_device
Optional< int > | use_media_volume_in_headset
Optional< int > | use_media_volume_in_audience
Optional< int > | use_media_volume_in_solo
Optional< int > | use_media_volume_in_bluetooth

## Constructor & Destructor Documentation

## ◆ AudioOptions()

agora::rtc::AudioOptions::AudioOptions | ( |  | ) |
| default

## ◆ ~AudioOptions()

agora::rtc::AudioOptions::~AudioOptions | ( |  | ) |
| default

## Member Function Documentation

## ◆ SetAecAll()

void agora::rtc::AudioOptions::SetAecAll | ( | const AudioOptions & | change | ) |
| inline

## ◆ SetApmAll()

void agora::rtc::AudioOptions::SetApmAll | ( | const AudioOptions & | change | ) |
| inline

## ◆ SetAll()

void agora::rtc::AudioOptions::SetAll | ( | const AudioOptions & | change | ) |
| inline

## ◆ operator==()

bool agora::rtc::AudioOptions::operator== | ( | const AudioOptions & | o | ) | const
| inline

## ◆ Filter()

AudioOptions & agora::rtc::AudioOptions::Filter | ( |  | ) |
| inline

## ◆ operator!=()

bool agora::rtc::AudioOptions::operator!= | ( | const AudioOptions & | o | ) | const
| inline

## Member Data Documentation

## ◆ audio_scenario

Optional<uint32_t> agora::rtc::AudioOptions::audio_scenario

## ◆ audio_routing

Optional<uint32_t> agora::rtc::AudioOptions::audio_routing

## ◆ input_audio_routing

Optional<int32_t> agora::rtc::AudioOptions::input_audio_routing

## ◆ adm_android_mode

Optional<uint32_t> agora::rtc::AudioOptions::adm_android_mode

## ◆ adm_enable_estimated_device_delay

Optional<bool> agora::rtc::AudioOptions::adm_enable_estimated_device_delay

## ◆ audio_channel_profile

Optional<uint32_t> agora::rtc::AudioOptions::audio_channel_profile

## ◆ audio_routing_version

Optional<int32_t> agora::rtc::AudioOptions::audio_routing_version

## ◆ adm_estimate_device_loopback_delay_with_aec

Optional<bool> agora::rtc::AudioOptions::adm_estimate_device_loopback_delay_with_aec

## ◆ adm_enable_lowlatency_capture

Optional<bool> agora::rtc::AudioOptions::adm_enable_lowlatency_capture

## ◆ adm_enable_lowlatency_playout

Optional<bool> agora::rtc::AudioOptions::adm_enable_lowlatency_playout

## ◆ adm_capture_io_buffer_ms

Optional<int32_t> agora::rtc::AudioOptions::adm_capture_io_buffer_ms

## ◆ adm_force_layer

Optional<int32_t> agora::rtc::AudioOptions::adm_force_layer

## ◆ adm_duck_others

Optional<bool> agora::rtc::AudioOptions::adm_duck_others

## ◆ adm_mix_with_others

Optional<bool> agora::rtc::AudioOptions::adm_mix_with_others

## ◆ adm_restart_when_interrupted

Optional<bool> agora::rtc::AudioOptions::adm_restart_when_interrupted

## ◆ adm_enable_fallback

Optional<bool> agora::rtc::AudioOptions::adm_enable_fallback

## ◆ adm_specify_category

Optional<int> agora::rtc::AudioOptions::adm_specify_category

## ◆ adm_record_audio_session_call_stack

Optional<bool> agora::rtc::AudioOptions::adm_record_audio_session_call_stack

## ◆ adm_allow_haptics_during_record

Optional<bool> agora::rtc::AudioOptions::adm_allow_haptics_during_record

## ◆ has_remote_peers

Optional<bool> agora::rtc::AudioOptions::has_remote_peers

## ◆ has_enabled_ear_monitor

Optional<bool> agora::rtc::AudioOptions::has_enabled_ear_monitor

## ◆ adm_input_sample_rate

Optional<uint32_t> agora::rtc::AudioOptions::adm_input_sample_rate

## ◆ adm_output_sample_rate

Optional<uint32_t> agora::rtc::AudioOptions::adm_output_sample_rate

## ◆ adm_enable_exclusive_mode

Optional<bool> agora::rtc::AudioOptions::adm_enable_exclusive_mode

## ◆ adm_input_channels

Optional<uint32_t> agora::rtc::AudioOptions::adm_input_channels

## ◆ adm_output_channels

Optional<uint32_t> agora::rtc::AudioOptions::adm_output_channels

## ◆ adm_has_recorded

Optional<bool> agora::rtc::AudioOptions::adm_has_recorded

## ◆ external_adm_has_recorded

Optional<bool> agora::rtc::AudioOptions::external_adm_has_recorded

## ◆ adm_enable_mic_selection

Optional<bool> agora::rtc::AudioOptions::adm_enable_mic_selection

## ◆ adm_force_use_bluetooth_a2dp

Optional<bool> agora::rtc::AudioOptions::adm_force_use_bluetooth_a2dp

## ◆ adm_use_bluetooth_hfp

Optional<bool> agora::rtc::AudioOptions::adm_use_bluetooth_hfp

## ◆ adm_use_hw_aec

Optional<bool> agora::rtc::AudioOptions::adm_use_hw_aec

## ◆ adm_force_restart

Optional<bool> agora::rtc::AudioOptions::adm_force_restart

## ◆ adm_microphone_preference

Optional<int> agora::rtc::AudioOptions::adm_microphone_preference

## ◆ adm_speaker_balance

Optional<int> agora::rtc::AudioOptions::adm_speaker_balance

## ◆ adm_audio_layer

Optional<uint32_t> agora::rtc::AudioOptions::adm_audio_layer

## ◆ adm_bypass_sys_ctl

Optional<bool> agora::rtc::AudioOptions::adm_bypass_sys_ctl

## ◆ adm_audio_source

Optional<uint32_t> agora::rtc::AudioOptions::adm_audio_source

## ◆ adm_playout_bufsize_factor

Optional<uint32_t> agora::rtc::AudioOptions::adm_playout_bufsize_factor

## ◆ adm_enable_builtin3a

Optional<bool> agora::rtc::AudioOptions::adm_enable_builtin3a

## ◆ uplink_apm_async_process

Optional<bool> agora::rtc::AudioOptions::uplink_apm_async_process

## ◆ uplink_acm_async_process

Optional<bool> agora::rtc::AudioOptions::uplink_acm_async_process

## ◆ only_report_microphone_volume

Optional<bool> agora::rtc::AudioOptions::only_report_microphone_volume

## ◆ stereo_playout_mixed_mode

Optional<uint32_t> agora::rtc::AudioOptions::stereo_playout_mixed_mode

## ◆ enable_multi_channel_render

Optional<bool> agora::rtc::AudioOptions::enable_multi_channel_render

## ◆ enable_concurrent_downlink_processing

Optional<bool> agora::rtc::AudioOptions::enable_concurrent_downlink_processing

## ◆ mute_playout_signal

Optional<bool> agora::rtc::AudioOptions::mute_playout_signal

## ◆ onmix_callback_with_external_source

Optional<bool> agora::rtc::AudioOptions::onmix_callback_with_external_source

## ◆ enable_receiver_apm

Optional<bool> agora::rtc::AudioOptions::enable_receiver_apm

## ◆ downlink_peq_enable

Optional<bool> agora::rtc::AudioOptions::downlink_peq_enable

## ◆ uplink_peq_enable

Optional<bool> agora::rtc::AudioOptions::uplink_peq_enable

## ◆ uplink_voice_over_enable

Optional<bool> agora::rtc::AudioOptions::uplink_voice_over_enable

## ◆ downlink_voice_over_enable

Optional<bool> agora::rtc::AudioOptions::downlink_voice_over_enable

## ◆ adm_extra_playout_latency

Optional<int> agora::rtc::AudioOptions::adm_extra_playout_latency

## ◆ adm_extra_record_latency

Optional<int> agora::rtc::AudioOptions::adm_extra_record_latency

## ◆ adm_opensl_output_bufs

Optional<int> agora::rtc::AudioOptions::adm_opensl_output_bufs

## ◆ adm_opensl_input_bufs

Optional<int> agora::rtc::AudioOptions::adm_opensl_input_bufs

## ◆ adm_bypass_vpio_processing

Optional<bool> agora::rtc::AudioOptions::adm_bypass_vpio_processing

## ◆ adm_enable_async_process

Optional<bool> agora::rtc::AudioOptions::adm_enable_async_process

## ◆ adm_ducking_option_advanced

Optional<bool> agora::rtc::AudioOptions::adm_ducking_option_advanced

## ◆ adm_ducking_option_level

Optional<int> agora::rtc::AudioOptions::adm_ducking_option_level

## ◆ adm_ears_monitor_channels

Optional<int> agora::rtc::AudioOptions::adm_ears_monitor_channels

## ◆ apm_process_channels

Optional<int> agora::rtc::AudioOptions::apm_process_channels

## ◆ apm_bypass_apm

Optional<bool> agora::rtc::AudioOptions::apm_bypass_apm

## ◆ apm_splitband_algroute

Optional<int> agora::rtc::AudioOptions::apm_splitband_algroute

## ◆ apm_print_config_detail

Optional<bool> agora::rtc::AudioOptions::apm_print_config_detail

## ◆ apm_enable_aec

Optional<bool> agora::rtc::AudioOptions::apm_enable_aec

## ◆ apm_enable_aec_external

Optional<bool> agora::rtc::AudioOptions::apm_enable_aec_external

## ◆ apm_aiaec_main_switch

Optional<int> agora::rtc::AudioOptions::apm_aiaec_main_switch

## ◆ apm_aec_nlp_plan

Optional<int> agora::rtc::AudioOptions::apm_aec_nlp_plan

## ◆ apm_aec_saturated

Optional<bool> agora::rtc::AudioOptions::apm_aec_saturated

## ◆ apm_aec_nlp_size

Optional<int> agora::rtc::AudioOptions::apm_aec_nlp_size

## ◆ apm_aec_nlp_hop_size

Optional<int> agora::rtc::AudioOptions::apm_aec_nlp_hop_size

## ◆ apm_aec_delay_search_range_ms

Optional<int> agora::rtc::AudioOptions::apm_aec_delay_search_range_ms

## ◆ apm_aec_delay_search_method

Optional<int> agora::rtc::AudioOptions::apm_aec_delay_search_method

## ◆ apm_aec_fixed_delay

Optional<int> agora::rtc::AudioOptions::apm_aec_fixed_delay

## ◆ apm_aec_extra_delay_bias

Optional<int> agora::rtc::AudioOptions::apm_aec_extra_delay_bias

## ◆ adm_ext_recording_source_delay_ms

Optional<int> agora::rtc::AudioOptions::adm_ext_recording_source_delay_ms

## ◆ apm_aec_ainlp_profile_method

Optional<int> agora::rtc::AudioOptions::apm_aec_ainlp_profile_method

## ◆ apm_aec_ainlp_reset_period

Optional<int> agora::rtc::AudioOptions::apm_aec_ainlp_reset_period

## ◆ apm_aec_ainlp_reset_ratio

Optional<int> agora::rtc::AudioOptions::apm_aec_ainlp_reset_ratio

## ◆ apm_aec_ainlp_fallback_period

Optional<int> agora::rtc::AudioOptions::apm_aec_ainlp_fallback_period

## ◆ apm_aec_ainlp_postprocessing_method

Optional<int> agora::rtc::AudioOptions::apm_aec_ainlp_postprocessing_method

## ◆ apm_aec_linear_filter_type

Optional<int> agora::rtc::AudioOptions::apm_aec_linear_filter_type

## ◆ apm_enable_ns

Optional<bool> agora::rtc::AudioOptions::apm_enable_ns

## ◆ apm_ains_mode

Optional<int> agora::rtc::AudioOptions::apm_ains_mode

## ◆ apm_enable_agc

Optional<bool> agora::rtc::AudioOptions::apm_enable_agc

## ◆ apm_enable_md

Optional<bool> agora::rtc::AudioOptions::apm_enable_md

## ◆ apm_aimd_value

Optional<int> agora::rtc::AudioOptions::apm_aimd_value

## ◆ apm_enable_highpass_filter

Optional<bool> agora::rtc::AudioOptions::apm_enable_highpass_filter

## ◆ apm_enable_tone_remover

Optional<bool> agora::rtc::AudioOptions::apm_enable_tone_remover

## ◆ apm_enable_pitch_smoother

Optional<bool> agora::rtc::AudioOptions::apm_enable_pitch_smoother

## ◆ apm_enable_howling_control

Optional<bool> agora::rtc::AudioOptions::apm_enable_howling_control

## ◆ apm_delay_offset_ms

Optional<uint32_t> agora::rtc::AudioOptions::apm_delay_offset_ms

## ◆ apm_aec_nlp_aggressiveness

Optional<int32_t> agora::rtc::AudioOptions::apm_aec_nlp_aggressiveness

## ◆ apm_aec_specify_suppression_step

Optional<int32_t> agora::rtc::AudioOptions::apm_aec_specify_suppression_step

## ◆ apm_aec_complexity

Optional<int32_t> agora::rtc::AudioOptions::apm_aec_complexity

## ◆ apm_aec_sw_processing_mode

Optional<int32_t> agora::rtc::AudioOptions::apm_aec_sw_processing_mode

## ◆ apm_aec_linear_filter_length_ms

Optional<int32_t> agora::rtc::AudioOptions::apm_aec_linear_filter_length_ms

## ◆ apm_aec_split_srate_for_32k

Optional<int32_t> agora::rtc::AudioOptions::apm_aec_split_srate_for_32k

## ◆ apm_aec_split_srate_for_48k

Optional<int32_t> agora::rtc::AudioOptions::apm_aec_split_srate_for_48k

## ◆ apm_agc_target_level_dbfs

Optional<uint32_t> agora::rtc::AudioOptions::apm_agc_target_level_dbfs

## ◆ apm_agc_compression_gain_db

Optional<uint32_t> agora::rtc::AudioOptions::apm_agc_compression_gain_db

## ◆ apm_agc_curve_slope

Optional<uint32_t> agora::rtc::AudioOptions::apm_agc_curve_slope

## ◆ apm_agc_mode

Optional<uint32_t> agora::rtc::AudioOptions::apm_agc_mode

## ◆ apm_agc_bg_opt_mode

Optional<uint32_t> agora::rtc::AudioOptions::apm_agc_bg_opt_mode

## ◆ apm_aec_nlp_enable

Optional<bool> agora::rtc::AudioOptions::apm_aec_nlp_enable

## ◆ apm_aec_alignRefDelay

Optional<bool> agora::rtc::AudioOptions::apm_aec_alignRefDelay

## ◆ apm_aec_startup_suppress_time

Optional<uint32_t> agora::rtc::AudioOptions::apm_aec_startup_suppress_time

## ◆ apm_aed_enable

Optional<int> agora::rtc::AudioOptions::apm_aed_enable

## ◆ apm_sf_enabled

Optional<bool> agora::rtc::AudioOptions::apm_sf_enabled

## ◆ apm_sf_procIONSample

Optional<int> agora::rtc::AudioOptions::apm_sf_procIONSample

## ◆ apm_sf_delayMode

Optional<int> agora::rtc::AudioOptions::apm_sf_delayMode

## ◆ apm_sf_stftType

Optional<int> agora::rtc::AudioOptions::apm_sf_stftType

## ◆ apm_sf_procChainMode

Optional<int> agora::rtc::AudioOptions::apm_sf_procChainMode

## ◆ apm_sf_nlpEnable

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpEnable

## ◆ apm_sf_nsEnable

Optional<int> agora::rtc::AudioOptions::apm_sf_nsEnable

## ◆ apm_sf_biquadEnable

Optional<int> agora::rtc::AudioOptions::apm_sf_biquadEnable

## ◆ apm_sf_ainlpToLoadFlag

Optional<int> agora::rtc::AudioOptions::apm_sf_ainlpToLoadFlag

## ◆ apm_sf_ainlpMonitorLen

Optional<int> agora::rtc::AudioOptions::apm_sf_ainlpMonitorLen

## ◆ apm_sf_ainsToLoadFlag

Optional<int> agora::rtc::AudioOptions::apm_sf_ainsToLoadFlag

## ◆ apm_sf_ainsMonitorLen

Optional<int> agora::rtc::AudioOptions::apm_sf_ainsMonitorLen

## ◆ apm_sf_ainsLowLatencyFlag

Optional<int> agora::rtc::AudioOptions::apm_sf_ainsLowLatencyFlag

## ◆ apm_sf_nlpAlgRoute

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpAlgRoute

## ◆ apm_sf_nsngAlgRoute

Optional<int> agora::rtc::AudioOptions::apm_sf_nsngAlgRoute

## ◆ apm_sf_nlpFrmRemoveEngRatioThr

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpFrmRemoveEngRatioThr

## ◆ apm_sf_trdNlpFrmRmvEngRatioThr

Optional<int> agora::rtc::AudioOptions::apm_sf_trdNlpFrmRmvEngRatioThr

## ◆ apm_sf_nlpHbandAgg

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpHbandAgg

## ◆ apm_sf_ainsKillHEBandFlag

Optional<int> agora::rtc::AudioOptions::apm_sf_ainsKillHEBandFlag

## ◆ apm_sf_ainlpLowLatencyFlag

Optional<int> agora::rtc::AudioOptions::apm_sf_ainlpLowLatencyFlag

## ◆ apm_sf_fallBackThrRatio

Optional<int> agora::rtc::AudioOptions::apm_sf_fallBackThrRatio

## ◆ apm_sf_fallBackRefMode

Optional<int> agora::rtc::AudioOptions::apm_sf_fallBackRefMode

## ◆ apm_sf_fallBackPref

Optional<int> agora::rtc::AudioOptions::apm_sf_fallBackPref

## ◆ apm_sf_nlpNoiseAddThr

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpNoiseAddThr

## ◆ apm_sf_nlpNoiseAddGain

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpNoiseAddGain

## ◆ apm_sf_nlpAggressiveness

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpAggressiveness

## ◆ apm_sf_nlpHeadsetAgg

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpHeadsetAgg

## ◆ apm_sf_nlpSpkrAgg

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpSpkrAgg

## ◆ apm_sf_nlpDynamicMode

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpDynamicMode

## ◆ apm_sf_ainlpHotResetFrq

Optional<int> agora::rtc::AudioOptions::apm_sf_ainlpHotResetFrq

## ◆ apm_sf_ainlpHotResetFactor

Optional<int> agora::rtc::AudioOptions::apm_sf_ainlpHotResetFactor

## ◆ apm_sf_ainlpMonitorQuantile

Optional<int> agora::rtc::AudioOptions::apm_sf_ainlpMonitorQuantile

## ◆ apm_sf_nsngPredefAgg

Optional<int> agora::rtc::AudioOptions::apm_sf_nsngPredefAgg

## ◆ apm_sf_nsngMusicProbThr

Optional<int> agora::rtc::AudioOptions::apm_sf_nsngMusicProbThr

## ◆ apm_sf_nsngMusicModeBackoffDB

Optional<int> agora::rtc::AudioOptions::apm_sf_nsngMusicModeBackoffDB

## ◆ apm_sf_statNsMusicModeBackoffDB

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsMusicModeBackoffDB

## ◆ apm_sf_statNsFastNsSpeechTrigThreshold

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsFastNsSpeechTrigThreshold

## ◆ apm_sf_ainsSpeechProtectThreshold

Optional<int> agora::rtc::AudioOptions::apm_sf_ainsSpeechProtectThreshold

## ◆ apm_aed_useCVerLib

Optional<int> agora::rtc::AudioOptions::apm_aed_useCVerLib

## ◆ apm_aed_HotResetFrq

Optional<int> agora::rtc::AudioOptions::apm_aed_HotResetFrq

## ◆ apm_aed_musicThr

Optional<int> agora::rtc::AudioOptions::apm_aed_musicThr

## ◆ apm_aed_voiceThr

Optional<int> agora::rtc::AudioOptions::apm_aed_voiceThr

## ◆ apm_aed_statQuantile

Optional<int> agora::rtc::AudioOptions::apm_aed_statQuantile

## ◆ apm_sf_statNsEnhFactor

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsEnhFactor

## ◆ apm_sf_statNsNoiseOverEst

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsNoiseOverEst

## ◆ apm_sf_statNsOverDrive

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsOverDrive

## ◆ apm_sf_statNsLowerBound

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsLowerBound

## ◆ apm_sf_statNsSpchUpdateRadix

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsSpchUpdateRadix

## ◆ apm_sf_statNsNoiseUpdateRadix

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsNoiseUpdateRadix

## ◆ apm_sf_statNsEndStartupShort

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsEndStartupShort

## ◆ apm_sf_statNsEndStartupLong

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsEndStartupLong

## ◆ apm_sf_statNsNoiseUpdateQuantile

Optional<int> agora::rtc::AudioOptions::apm_sf_statNsNoiseUpdateQuantile

## ◆ apm_sf_nsngMapInMaskMin

Optional<int> agora::rtc::AudioOptions::apm_sf_nsngMapInMaskMin

## ◆ apm_sf_nsngMapOutMaskMin

Optional<int> agora::rtc::AudioOptions::apm_sf_nsngMapOutMaskMin

## ◆ apm_sf_nsngFinalMaskLowerBound

Optional<int> agora::rtc::AudioOptions::apm_sf_nsngFinalMaskLowerBound

## ◆ apm_sf_nsngPfMargin

Optional<int> agora::rtc::AudioOptions::apm_sf_nsngPfMargin

## ◆ apm_sf_ainsHotResetFrq

Optional<int> agora::rtc::AudioOptions::apm_sf_ainsHotResetFrq

## ◆ apm_sf_ainsMonitorQuantile

Optional<int> agora::rtc::AudioOptions::apm_sf_ainsMonitorQuantile

## ◆ apm_sf_nsngAuxToolsMode

Optional<int> agora::rtc::AudioOptions::apm_sf_nsngAuxToolsMode

## ◆ apm_sf_nlpProcBand

Optional<int> agora::rtc::AudioOptions::apm_sf_nlpProcBand

## ◆ apm_sf_nsProcBand

Optional<int> agora::rtc::AudioOptions::apm_sf_nsProcBand

## ◆ apm_sf_ainsModelPref

Optional<int> agora::rtc::AudioOptions::apm_sf_ainsModelPref

## ◆ apm_sf_ainlpModelPref

Optional<int> agora::rtc::AudioOptions::apm_sf_ainlpModelPref

## ◆ apm_vsc_enabled

Optional<int> agora::rtc::AudioOptions::apm_vsc_enabled

## ◆ apm_vsc_gender

Optional<int> agora::rtc::AudioOptions::apm_vsc_gender

## ◆ apm_vsc_effect

Optional<int> agora::rtc::AudioOptions::apm_vsc_effect

## ◆ apm_vsc_selfConfig

Optional<int> agora::rtc::AudioOptions::apm_vsc_selfConfig

## ◆ apm_vsc_preset

Optional<int> agora::rtc::AudioOptions::apm_vsc_preset

## ◆ apm_vsc_gain

Optional<int> agora::rtc::AudioOptions::apm_vsc_gain

## ◆ apm_ns_enable_ns_follow_agc

Optional<uint32_t> agora::rtc::AudioOptions::apm_ns_enable_ns_follow_agc

## ◆ apm_ns_level

Optional<int32_t> agora::rtc::AudioOptions::apm_ns_level

## ◆ apm_ns_noiseGateThres

Optional<uint32_t> agora::rtc::AudioOptions::apm_ns_noiseGateThres

## ◆ apm_ns_complexity

Optional<int32_t> agora::rtc::AudioOptions::apm_ns_complexity

## ◆ apm_ans_aggressive

Optional<int32_t> agora::rtc::AudioOptions::apm_ans_aggressive

## ◆ apm_ans_musicModeBackoffDB

Optional<int32_t> agora::rtc::AudioOptions::apm_ans_musicModeBackoffDB

## ◆ apm_ans_musicModeSmC

Optional<int32_t> agora::rtc::AudioOptions::apm_ans_musicModeSmC

## ◆ apm_enable_record_boost

Optional<bool> agora::rtc::AudioOptions::apm_enable_record_boost

## ◆ apm_farend_gain_threshold

Optional<int32_t> agora::rtc::AudioOptions::apm_farend_gain_threshold

## ◆ adm_win_recording_device_buffer_ms

Optional<int32_t> agora::rtc::AudioOptions::adm_win_recording_device_buffer_ms

## ◆ adm_windows_layer_with_waveapi

Optional<bool> agora::rtc::AudioOptions::adm_windows_layer_with_waveapi

## ◆ adm_windows_bypass_system_render_apo

Optional<bool> agora::rtc::AudioOptions::adm_windows_bypass_system_render_apo

## ◆ adm_windows_enable_microphone_boost

Optional<bool> agora::rtc::AudioOptions::adm_windows_enable_microphone_boost

## ◆ adm_aggregate_playout_device_volume_control

Optional<bool> agora::rtc::AudioOptions::adm_aggregate_playout_device_volume_control

## ◆ adm_microphone_volume_init_state

Optional<bool> agora::rtc::AudioOptions::adm_microphone_volume_init_state

## ◆ adm_mac_use_audio_unit_hal

Optional<bool> agora::rtc::AudioOptions::adm_mac_use_audio_unit_hal

## ◆ adm_mac_allow_virtual_recording_device

Optional<bool> agora::rtc::AudioOptions::adm_mac_allow_virtual_recording_device

## ◆ adm_mac_allow_virtual_playout_device

Optional<bool> agora::rtc::AudioOptions::adm_mac_allow_virtual_playout_device

## ◆ apm_farend_gain

Optional<uint32_t> agora::rtc::AudioOptions::apm_farend_gain

## ◆ acm_bitrate

Optional<uint32_t> agora::rtc::AudioOptions::acm_bitrate

## ◆ acm_codec

Optional<uint32_t> agora::rtc::AudioOptions::acm_codec

## ◆ acm_dtx

Optional<bool> agora::rtc::AudioOptions::acm_dtx

## ◆ acm_plc

Optional<bool> agora::rtc::AudioOptions::acm_plc

## ◆ acm_complex_level

Optional<uint32_t> agora::rtc::AudioOptions::acm_complex_level

## ◆ acm_ptime

Optional<uint32_t> agora::rtc::AudioOptions::acm_ptime

## ◆ acm_hw_encode_opus

Optional<bool> agora::rtc::AudioOptions::acm_hw_encode_opus

## ◆ acm_hw_decode_opus

Optional<bool> agora::rtc::AudioOptions::acm_hw_decode_opus

## ◆ acm_opus_celt_only

Optional<bool> agora::rtc::AudioOptions::acm_opus_celt_only

## ◆ acm_opus_max_encoded_bytes

Optional<int32_t> agora::rtc::AudioOptions::acm_opus_max_encoded_bytes

## ◆ acm_opus_enable_volume_based_bitrate_reduction

Optional<bool> agora::rtc::AudioOptions::acm_opus_enable_volume_based_bitrate_reduction

## ◆ acm_opus_voice_threshold

Optional<int32_t> agora::rtc::AudioOptions::acm_opus_voice_threshold

## ◆ acm_opus_voice_up_coef

Optional<int32_t> agora::rtc::AudioOptions::acm_opus_voice_up_coef

## ◆ acm_opus_voice_down_coef

Optional<int32_t> agora::rtc::AudioOptions::acm_opus_voice_down_coef

## ◆ acm_opus_voice_hold_window_ms

Optional<int32_t> agora::rtc::AudioOptions::acm_opus_voice_hold_window_ms

## ◆ acm_opus_silence_bitrate

Optional<int32_t> agora::rtc::AudioOptions::acm_opus_silence_bitrate

## ◆ audio_resend

Optional<bool> agora::rtc::AudioOptions::audio_resend

## ◆ enable_adaptable_fix_rsfec

Optional<bool> agora::rtc::AudioOptions::enable_adaptable_fix_rsfec

## ◆ audio_rsfec_frame_num

Optional<uint32_t> agora::rtc::AudioOptions::audio_rsfec_frame_num

## ◆ audio_rsfec_interleave_num

Optional<uint32_t> agora::rtc::AudioOptions::audio_rsfec_interleave_num

## ◆ audio_fec_frame_num

Optional<uint32_t> agora::rtc::AudioOptions::audio_fec_frame_num

## ◆ audio_fec_interleave_num

Optional<uint32_t> agora::rtc::AudioOptions::audio_fec_interleave_num

## ◆ neteq_live_min_delay

Optional<uint32_t> agora::rtc::AudioOptions::neteq_live_min_delay

## ◆ neteq_jitter_buffer_max_packets

Optional<uint32_t> agora::rtc::AudioOptions::neteq_jitter_buffer_max_packets

## ◆ neteq_jitter_buffer_fast_accelerate

Optional<bool> agora::rtc::AudioOptions::neteq_jitter_buffer_fast_accelerate

## ◆ neteq_jitter_max_target_delay

Optional<int32_t> agora::rtc::AudioOptions::neteq_jitter_max_target_delay

## ◆ neteq_filter_target_loss

Optional<int32_t> agora::rtc::AudioOptions::neteq_filter_target_loss

## ◆ neteq_max_filter_window

Optional<int32_t> agora::rtc::AudioOptions::neteq_max_filter_window

## ◆ neteq_acceleration_percent

Optional<int32_t> agora::rtc::AudioOptions::neteq_acceleration_percent

## ◆ neteq_deceleration_percent

Optional<int32_t> agora::rtc::AudioOptions::neteq_deceleration_percent

## ◆ neteq_scretch_threshold_percent

Optional<int32_t> agora::rtc::AudioOptions::neteq_scretch_threshold_percent

## ◆ neteq_unvoice_accelerate_percent

Optional<int32_t> agora::rtc::AudioOptions::neteq_unvoice_accelerate_percent

## ◆ neteq_max_wait_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_max_wait_ms

## ◆ neteq_max_wait_first_decode_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_max_wait_first_decode_ms

## ◆ neteq_enable_time_stretching

Optional<bool> agora::rtc::AudioOptions::neteq_enable_time_stretching

## ◆ neteq_enable_expired_peak_detector

Optional<bool> agora::rtc::AudioOptions::neteq_enable_expired_peak_detector

## ◆ neteq_enable_peak_detector

Optional<bool> agora::rtc::AudioOptions::neteq_enable_peak_detector

## ◆ neteq_enable_muted_state

Optional<bool> agora::rtc::AudioOptions::neteq_enable_muted_state

## ◆ neteq_max_exceed_time_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_max_exceed_time_ms

## ◆ neteq_max_filter_dup_num

Optional<uint32_t> agora::rtc::AudioOptions::neteq_max_filter_dup_num

## ◆ neteq_enable_voice_volume_level

Optional<bool> agora::rtc::AudioOptions::neteq_enable_voice_volume_level

## ◆ neteq_enable_individuality_delay

Optional<bool> agora::rtc::AudioOptions::neteq_enable_individuality_delay

## ◆ neteq_enable_improve_burst

Optional<bool> agora::rtc::AudioOptions::neteq_enable_improve_burst

## ◆ neteq_max_mute_duration_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_max_mute_duration_ms

## ◆ neteq_low_latency_burst_control_window_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_low_latency_burst_control_window_ms

## ◆ neteq_low_latency_burst_control_platform_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_low_latency_burst_control_platform_ms

## ◆ neteq_low_latency_burst_peak_num_threshold

Optional<int32_t> agora::rtc::AudioOptions::neteq_low_latency_burst_peak_num_threshold

## ◆ neteq_low_latency_burst_trend_threshold

Optional<int32_t> agora::rtc::AudioOptions::neteq_low_latency_burst_trend_threshold

## ◆ neteq_low_latency_burst_peak_trend_increased_threshold

Optional<int32_t> agora::rtc::AudioOptions::neteq_low_latency_burst_peak_trend_increased_threshold

## ◆ neteq_low_latency_burst_overuse_limited_quantile

Optional<int32_t> agora::rtc::AudioOptions::neteq_low_latency_burst_overuse_limited_quantile

## ◆ neteq_low_latency_burst_comb_window_second

Optional<int32_t> agora::rtc::AudioOptions::neteq_low_latency_burst_comb_window_second

## ◆ neteq_low_latency_burst_max_jitter_limit_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_low_latency_burst_max_jitter_limit_ms

## ◆ neteq_high_latency_burst_control_window_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_high_latency_burst_control_window_ms

## ◆ neteq_high_latency_burst_control_platform_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_high_latency_burst_control_platform_ms

## ◆ neteq_high_latency_burst_peak_num_threshold

Optional<int32_t> agora::rtc::AudioOptions::neteq_high_latency_burst_peak_num_threshold

## ◆ neteq_high_latency_burst_trend_threshold

Optional<int32_t> agora::rtc::AudioOptions::neteq_high_latency_burst_trend_threshold

## ◆ neteq_high_latency_burst_peak_trend_increased_threshold

Optional<int32_t> agora::rtc::AudioOptions::neteq_high_latency_burst_peak_trend_increased_threshold

## ◆ neteq_high_latency_burst_overuse_limited_quantile

Optional<int32_t> agora::rtc::AudioOptions::neteq_high_latency_burst_overuse_limited_quantile

## ◆ neteq_high_latency_burst_comb_window_second

Optional<int32_t> agora::rtc::AudioOptions::neteq_high_latency_burst_comb_window_second

## ◆ neteq_high_latency_burst_max_jitter_limit_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_high_latency_burst_max_jitter_limit_ms

## ◆ neteq_multichannel_plc

Optional<bool> agora::rtc::AudioOptions::neteq_multichannel_plc

## ◆ neteq_freeze_m

Optional<int32_t> agora::rtc::AudioOptions::neteq_freeze_m

## ◆ neteq_freeze_n

Optional<int32_t> agora::rtc::AudioOptions::neteq_freeze_n

## ◆ neteq_targetlevel_offset

Optional<int32_t> agora::rtc::AudioOptions::neteq_targetlevel_offset

## ◆ neteq_enable_stable_playout

Optional<bool> agora::rtc::AudioOptions::neteq_enable_stable_playout

## ◆ neteq_drop_window_threshold_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_drop_window_threshold_ms

## ◆ neteq_drop_distance_threshold_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_drop_distance_threshold_ms

## ◆ neteq_prebuffer_window_threshold_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_prebuffer_window_threshold_ms

## ◆ neteq_prebuffer_distance_threshold_ms

Optional<int32_t> agora::rtc::AudioOptions::neteq_prebuffer_distance_threshold_ms

## ◆ neteq_max_packets_stable_playout

Optional<int32_t> agora::rtc::AudioOptions::neteq_max_packets_stable_playout

## ◆ neteq_normal_recv_rate_ratio_threshold

Optional<int32_t> agora::rtc::AudioOptions::neteq_normal_recv_rate_ratio_threshold

## ◆ neteq_enable_buffer_burst_accelerate

Optional<bool> agora::rtc::AudioOptions::neteq_enable_buffer_burst_accelerate

## ◆ neteq_audio_accelerate_low_threshold

Optional<int32_t> agora::rtc::AudioOptions::neteq_audio_accelerate_low_threshold

## ◆ neteq_enable_external_jitter_burst_accelerate

Optional<bool> agora::rtc::AudioOptions::neteq_enable_external_jitter_burst_accelerate

## ◆ neteq_target_level_optimization

Optional<bool> agora::rtc::AudioOptions::neteq_target_level_optimization

## ◆ neteq_aqm_voice_threshold

Optional<uint32_t> agora::rtc::AudioOptions::neteq_aqm_voice_threshold

## ◆ neteq_dump_level

Optional<uint32_t> agora::rtc::AudioOptions::neteq_dump_level

## ◆ neteq_dump_path

Optional<std::string> agora::rtc::AudioOptions::neteq_dump_path

## ◆ neteq_limit_prob

Optional<int> agora::rtc::AudioOptions::neteq_limit_prob

## ◆ neteq_pre_dump

Optional<int> agora::rtc::AudioOptions::neteq_pre_dump

## ◆ neteq_packet_dump_score_threshold

Optional<int> agora::rtc::AudioOptions::neteq_packet_dump_score_threshold

## ◆ neteq_lower_limit_probability

Optional<int> agora::rtc::AudioOptions::neteq_lower_limit_probability

## ◆ neteq_plc_mode

Optional<int> agora::rtc::AudioOptions::neteq_plc_mode

## ◆ neteq_outlier_detector

Optional<int> agora::rtc::AudioOptions::neteq_outlier_detector

## ◆ enable_pts_estimate_pass_through

Optional<int32_t> agora::rtc::AudioOptions::enable_pts_estimate_pass_through

## ◆ dwlink_gain

Optional<uint32_t> agora::rtc::AudioOptions::dwlink_gain

## ◆ uplink_gain

Optional<uint32_t> agora::rtc::AudioOptions::uplink_gain

## ◆ adm_separate_audio_unit

Optional<bool> agora::rtc::AudioOptions::adm_separate_audio_unit

## ◆ derived_headset_black_list_device

Optional<bool> agora::rtc::AudioOptions::derived_headset_black_list_device

## ◆ use_media_volume_in_headset

Optional<int> agora::rtc::AudioOptions::use_media_volume_in_headset

## ◆ use_media_volume_in_audience

Optional<int> agora::rtc::AudioOptions::use_media_volume_in_audience

## ◆ use_media_volume_in_solo

Optional<int> agora::rtc::AudioOptions::use_media_volume_in_solo

## ◆ use_media_volume_in_bluetooth

Optional<int> agora::rtc::AudioOptions::use_media_volume_in_bluetooth